OpenJPH: ojph::j2c_infile Class Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph::j2c_infile Class Reference

`#include <ojph_file.h>`

Inheritance diagram for ojph::j2c_infile:

## Public Member Functions
| j2c_infile ()
| ~j2c_infile () override
void | open (const char *filename)
size_t | read (void *ptr, size_t size) override
int | seek (si64 offset, enum infile_base::seek origin) override
si64 | tell () override
bool | eof () override
void | close () override
Public Member Functions inherited from ojph::infile_base
virtual | ~infile_base ()

## Private Attributes
FILE * | fh

## Additional Inherited Members
Public Types inherited from ojph::infile_base
enum | seek : int { OJPH_SEEK_SET = SEEK_SET , OJPH_SEEK_CUR = SEEK_CUR , OJPH_SEEK_END = SEEK_END }

## Detailed Description

Definition at line 287 of file ojph_file.h.

## Constructor & Destructor Documentation

## ◆ j2c_infile()

ojph::j2c_infile::j2c_infile | ( |  | ) |
| inline

Definition at line 290 of file ojph_file.h.

References fh.

## ◆ ~j2c_infile()

ojph::j2c_infile::~j2c_infile | ( |  | ) |
| inlineoverride

Definition at line 291 of file ojph_file.h.

References fh.

## Member Function Documentation

## ◆ close()

void ojph::j2c_infile::close | ( |  | ) |
| overridevirtual

Reimplemented from ojph::infile_base.

Definition at line 304 of file ojph_file.cpp.

References fh.

## ◆ eof()

bool ojph::j2c_infile::eof | ( |  | ) |
| inlineoverridevirtual

Implements ojph::infile_base.

Definition at line 300 of file ojph_file.h.

References fh.

## ◆ open()

void ojph::j2c_infile::open | ( | const char * | filename | ) |

Definition at line 274 of file ojph_file.cpp.

References fh, and OJPH_ERROR.

Referenced by main().

## ◆ read()

size_t ojph::j2c_infile::read | ( | void * | ptr,
|  | size_t | size )
| overridevirtual

Implements ojph::infile_base.

Definition at line 283 of file ojph_file.cpp.

References fh.

## ◆ seek()

int ojph::j2c_infile::seek | ( | si64 | offset,
|  | enum infile_base::seek | origin )
| overridevirtual

Implements ojph::infile_base.

Definition at line 290 of file ojph_file.cpp.

References fh, and ojph::ojph_fseek().

## ◆ tell()

si64 ojph::j2c_infile::tell | ( |  | ) |
| overridevirtual

Implements ojph::infile_base.

Definition at line 297 of file ojph_file.cpp.

References fh, and ojph::ojph_ftell().

## Member Data Documentation

## ◆ fh

FILE* ojph::j2c_infile::fh
| private

Definition at line 304 of file ojph_file.h.

Referenced by close(), eof(), j2c_infile(), open(), read(), seek(), tell(), and ~j2c_infile().

The documentation for this class was generated from the following files:

- /build/openjph/src/OpenJPH/src/core/openjph/ojph_file.h
- /build/openjph/src/OpenJPH/src/core/others/ojph_file.cpp